/v1/bonus-call/register

Register a bonus call

POST /v1/bonus-call/register

Initiates a bonus call session for a user. This endpoint validates eligibility, executes the bonus logic, and returns an issue ID which can be used for tracking or further management.

Headers

Name
Value

Authorization

Bearer <API_TOKEN>

Content-Type

application/json

Accept

application/json

Request Body

Field
Data Type
Meaning
Mandatory

issueId

string

Unique ID for the issue or request

Optional

providerId

number

Game provider ID

Required

gameCode

string

Internal game code of the title

Required

playerExternalId

string

Player’s unique ID on the operator side

Required

currency

string

Currency code (e.g., USD)

Required

bonusType

number

Type of bonus (1 = regular bonus call, 2 = free spin bonus) Free spin bonus(bonusType=2) is available for only Pragmatic Play and EGT Digital

Required

callAmount

number

Amount related to the bonus call. If bonusType = 1, the player will surely win this amount by any means. And if bonusType = 2, this amount is a max win amount, the player can not win more than this callAmount.

Required

expireAt

string

Expire timestamp with ISO string. (YYYY-MM-DD HH:mm:ss) For example, 2026-12-01 23:59:59

Required

metaData

object

Object containing detailed bonus information. If bonusType = 2, this is required.

Optional

metaData.spinAmount

number

Number of free bonus spins. Min: 10, Max: 100

Required

metaData.baseBetAmount

number

Base bet amount. Example: for a 2 USD free spin, use baseBetAmount: 2

Required

Response

Field
Data Type
Meaning

success

boolean

Indicates whether the API call succeeded

message

string

Textual confirmation of the API call

data

object

Object containing the result of the request

issueId

string

Unique ID for the issue or request (inside data)

Last updated